<?php
/**
* This file is used for translation strings.
*
* @author  Tech Banker
* @package captcha-bank/includes
* @version 3.0.0
*/
if(!defined("ABSPATH")) exit; //exit if accessed directly
if(!is_user_logged_in())
{
	return;
}
else
{
	$access_granted = false;
	foreach($user_role_permission as $permission)
	{
		if(current_user_can($permission))
		{
			$access_granted = true;
			break;
		}
	}
	if(!$access_granted)
	{
		return;
	}
	else
	{
		$wp_langs = array();
		$wp_langs["af"] = "Afrikaans";
		$wp_langs["ak"] = "Akan";
		$wp_langs["sq"] = "Shqip";
		$wp_langs["arq"] = "الدارجة الجزايرية";
		$wp_langs["am"] = "አማርኛ";
		$wp_langs["ar"] = "العربية";
		$wp_langs["hy"] = "Հայերեն";
		$wp_langs["rup_mk"] = "Armãneashce";
		$wp_langs["frp"] = "Arpitan";
		$wp_langs["as"] = "অসমীয়া";
		$wp_langs["ast"] = "Asturianu";
		$wp_langs["az"] = "Azərbaycan dili";
		$wp_langs["az_tr"] = "Azərbaycan Türkcəsi";
		$wp_langs["bcc"] = "بلوچی مکرانی";
		$wp_langs["ba"] = "башҡорт теле";
		$wp_langs["eu"] = "Euskara";
		$wp_langs["bel"] = "Беларуская мова";
		$wp_langs["bn_bd"] = "বাংলা";
		$wp_langs["bs_ba"] = "Bosanski";
		$wp_langs["bre"] = "Brezhoneg";
		$wp_langs["bg_bg"] = "Български";
		$wp_langs["ca"] = "Català";
		$wp_langs["bal"] = "Català (Balear)";
		$wp_langs["ceb"] = "Cebuano";
		$wp_langs["zh_cn"] = "简体中文";
		$wp_langs["zh_hk"] = "香港中文版 ";
		$wp_langs["zh_tw"] = "繁體中文";
		$wp_langs["co"] = "Corsu";
		$wp_langs["hr"] = "Hrvatski";
		$wp_langs["cs_cz"] = "Čeština‎";
		$wp_langs["da_dk"] = "Dansk";
		$wp_langs["dv"] = "ދިވެހި";
		$wp_langs["nl_nl"] = "Nederlands";
		$wp_langs["nl_be"] = "Nederlands (België)";
		$wp_langs["dzo"] = "རྫོང་ཁ";
		$wp_langs["en_au"] = "English (Australia)";
		$wp_langs["en_ca"] = "English (Canada)";
		$wp_langs["en_nz"] = "English (New Zealand)";
		$wp_langs["en_za"] = "English (South Africa)";
		$wp_langs["en_gb"] = "English (UK)";
		$wp_langs["eo"] = "Esperanto";
		$wp_langs["et"] = "Eesti";
		$wp_langs["fo"] = "Føroyskt";
		$wp_langs["fi"] = "Suomi";
		$wp_langs["fr_be"] = "Français de Belgique";
		$wp_langs["fr_ca"] = "Français du Canada";
		$wp_langs["fr_fr"] = "Français";
		$wp_langs["fy"] = "Frysk";
		$wp_langs["fur"] = "Friulian";
		$wp_langs["fuc"] = "Pulaar";
		$wp_langs["gl_es"] = "Galego";
		$wp_langs["ka_ge"] = "ქართული";
		$wp_langs["de_de"] = "Deutsch";
		$wp_langs["de_ch"] = "Deutsch (Schweiz)";
		$wp_langs["el"] = "Ελληνικά";
		$wp_langs["kal"] = "Kalaallisut";
		$wp_langs["gn"] = "Avañe'ẽ";
		$wp_langs["gu"] = "ગુજરાતી";
		$wp_langs["hat"] = "Kreyol ayisyen";
		$wp_langs["haw_us"] = "Ōlelo Hawaiʻi";
		$wp_langs["haz"] = "هزاره گی";
		$wp_langs["he_il"] = "עִבְרִית";
		$wp_langs["hi_in"] = "हिन्दी";
		$wp_langs["hu_hu"] = "Magyar";
		$wp_langs["is_is"] = "Íslenska";
		$wp_langs["ido"] = "Ido";
		$wp_langs["id_id"] = "Bahasa Indonesia";
		$wp_langs["ga"] = "Gaelige";
		$wp_langs["it_it"] = "Italiano";
		$wp_langs["ja"] = "日本語";
		$wp_langs["jv_id"] = "Basa Jawa";
		$wp_langs["kab"] = "Taqbaylit";
		$wp_langs["kn"] = "ಕನ್ನಡ";
		$wp_langs["kk"] = "Қазақ тілі";
		$wp_langs["km"] = "ភាសាខ្មែរ";
		$wp_langs["kin"] = "Ikinyarwanda";
		$wp_langs["ky_ky"] = "кыргыз тили";
		$wp_langs["ko_kr"] = "한국어";
		$wp_langs["ckb"] = "كوردی‎";
		$wp_langs["lo"] = "ພາສາລາວ";
		$wp_langs["lv"] = "Latviešu valoda";
		$wp_langs["li"] = "Limburgs";
		$wp_langs["lin"] = "Ngala";
		$wp_langs["lt_lt"] = "Lietuvių kalba";
		$wp_langs["lb_lu"] = "Lëtzebuergesch";
		$wp_langs["mk_mk"] = "Македонски јазик";
		$wp_langs["mg_mg"] = "Malagasy";
		$wp_langs["ms_my"] = "Bahasa Melayu";
		$wp_langs["ml_in"] = "മലയാളം";
		$wp_langs["mri"] = "Te Reo Māori";
		$wp_langs["mr"] = "मराठी";
		$wp_langs["xmf"] = "მარგალური ნინა";
		$wp_langs["mn"] = "Монгол";
		$wp_langs["me_me"] = "Crnogorski jezik";
		$wp_langs["ary"] = "العربية المغربية";
		$wp_langs["my_mm"] = "ဗမာစာ";
		$wp_langs["ne_np"] = "नेपाली";
		$wp_langs["nb_no"] = "Norsk bokmål";
		$wp_langs["nn_no"] = "Norsk nynorsk";
		$wp_langs["oci"] = "Occitan";
		$wp_langs["ory"] = "ଓଡ଼ିଆ";
		$wp_langs["os"] = "Ирон";
		$wp_langs["ps"] = "پښتو";
		$wp_langs["fa_ir"] = "فارسی";
		$wp_langs["fa_af"] = "(فارسی (افغانستان";
		$wp_langs["pl_pl"] = "Polski";
		$wp_langs["pt_br"] = "Português do Brasil";
		$wp_langs["pt_pt"] = "Português";
		$wp_langs["pa_in"] = "ਪੰਜਾਬੀ";
		$wp_langs["rhg"] = "Ruáinga";
		$wp_langs["ro_ro"] = "Română";
		$wp_langs["roh"] = "Rumantsch Vallader";
		$wp_langs["ru_ru"] = "Русский";
		$wp_langs["rue"] = "Русиньскый";
		$wp_langs["sah"] = "Сахалыы";
		$wp_langs["sa_in"] = "भारतम्";
		$wp_langs["srd"] = "Sardu";
		$wp_langs["gd"] = "Gàidhlig";
		$wp_langs["sr_rs"] = "Српски језик";
		$wp_langs["szl"] = "Ślōnskŏ gŏdka";
		$wp_langs["snd"] = "سنڌي";
		$wp_langs["si_lk"] = "සිංහල";
		$wp_langs["sk_sk"] = "Slovenčina";
		$wp_langs["sl_si"] = "Slovenščina";
		$wp_langs["so_so"] = "Afsoomaali";
		$wp_langs["azb"] = "گؤنئی آذربایجان";
		$wp_langs["es_ar"] = "Español de Argentina";
		$wp_langs["es_cl"] = "Español de Chile";
		$wp_langs["es_co"] = "Español de Colombia";
		$wp_langs["es_gt"] = "Español de Guatemala";
		$wp_langs["es_mx"] = "Español de México";
		$wp_langs["es_pe"] = "Español de Perú";
		$wp_langs["es_pr"] = "Español de Puerto Rico";
		$wp_langs["es_es"] = "Español";
		$wp_langs["es_ve"] = "Español de Venezuela";
		$wp_langs["su_id"] = "Basa Sunda";
		$wp_langs["sw"] = "Kiswahili";
		$wp_langs["sv_se"] = "Svenska";
		$wp_langs["gsw"] = "Schwyzerdütsch";
		$wp_langs["tl"] = "Tagalog";
		$wp_langs["tah"] = "Reo Tahiti";
		$wp_langs["tg"] = "Тоҷикӣ";
		$wp_langs["tzm"] = "ⵜⴰⵎⴰⵣⵉⵖⵜ";
		$wp_langs["ta_in"] = "தமிழ்";
		$wp_langs["ta_lk"] = "தமிழ்";
		$wp_langs["tt_ru"] = "Татар теле";
		$wp_langs["te"] = "తెలుగు";
		$wp_langs["th"] = "ไทย";
		$wp_langs["bo"] = "བོད་སྐད";
		$wp_langs["tir"] = "ትግርኛ";
		$wp_langs["tr_tr"] = "Türkçe";
		$wp_langs["tuk"] = "Türkmençe";
		$wp_langs["twd"] = "Twents";
		$wp_langs["ug_cn"] = "Uyƣurqə";
		$wp_langs["uk"] = "Українська";
		$wp_langs["ur"] = "اردو";
		$wp_langs["uz_uz"] = "O‘zbekcha";
		$wp_langs["vi"] = "Tiếng Việt";
		$wp_langs["wa"] = "Walon";
		$wp_langs["cy"] = "Cymraeg";
		$wp_langs["yor"] = "Yorùbá";
		$locale = strtolower(get_locale());
		if(array_key_exists("$locale",$wp_langs))
		{
			$language = $wp_langs["$locale"];
			$cpb_like_to_tranlate = __("If you would like to translate in ",captcha_bank);
			$cpb_help_us_reward = __(" & help us, we will reward you with a free Personal Edition License of Captcha Bank. If Interested, Kindly click ",captcha_bank);
			$cpb_message_translate_help = "$cpb_like_to_tranlate $language $cpb_help_us_reward";
			$cpb_message_translate_here = __("here.",captcha_bank);
		}
		else
		{
			$cpb_message_translate_help = "";
			$cpb_message_translate_here = "";
		}

		$cpb_confirm_close = __("Are you sure you want to close without sending Translation Request?",captcha_bank);
		$cpb_translation_request = __("Translation Request",captcha_bank);
		$cpb_language_interested_to_translate = __("Language Interested to Translate",captcha_bank);
		$cpb_language_interested_to_translate_tooltip = __("In this field, you would need to choose a language which you want to translate",captcha_bank);
		$cpb_language_interested_to_translate_placeholder = __("Please provide a language",captcha_bank);
		$cpb_popup_query = __("Query",captcha_bank);
		$cpb_popup_query_tooltip = __("In this field, you would need to provide your query",captcha_bank);
		$cpb_popup_query_placeholder = __("Please provide your query",captcha_bank);
		$cpb_popup_your_name_tooltip = __("In this field, you would need to provide your Name",captcha_bank);
		$cpb_popup_your_email_tooltip = __("In this field, you would need to provide your Email",captcha_bank);
		$cpb_close = __("Close",captcha_bank);
		$cpb_popup_send_request = __("Send Request",captcha_bank);

		// Disclaimers
		$cpb_premium_features_disclaimer = __("Premium Edition Features :",captcha_bank);
		$cpb_click_disclaimer = __("* Click ",captcha_bank);
		$cpb_here_disclaimer = __("here ",captcha_bank);
		$cpb_unblock_premium_disclaimer = __(" to see Premium Edition Features in detail.",captcha_bank);
		$cpb_demos_disclaimer = __("* For Captcha Bank Demos, click ",captcha_bank);
		$cpb_manual_disclaimer = __("* For Captcha Bank User Guide for this page, click ",captcha_bank);
		$cpb_important_disclaimer = __("Important Disclaimer!",captcha_bank);
		$cpb_country_blocks_disclaimer = __("* Blocking / Unblocking Countries",captcha_bank);
		$cpb_relational_captcha_disclaimer = __("* Relational Captcha",captcha_bank);
		$cpb_arrange_order_captcha_disclaimer = __("* Arrange Order Captcha",captcha_bank);
		$cpb_blocked_ip_address_disclaimer = __("* Unblocking IP Addresses",captcha_bank);
		$cpb_filters_disclaimer = __("* Filters",captcha_bank);
		$cpb_blocked_ip_ranges_disclaimer = __("* Unblocking IP Ranges",captcha_bank);
		$cpb_editing_error_messages_disclaimer = __("* Editing Error Messages",captcha_bank);
		$cpb_editing_email_template_disclaimer = __("* Editing Email Templates",captcha_bank);
		$cpb_delete_live_traffic_logs_disclaimer = __("* Deleting Live Traffic Logs",captcha_bank);
		$cpb_block_ip_address_live_traffic_disclaimer = __("* Blocking IP Addresses from Live Traffic",captcha_bank);
		$cpb_delete_login_logs_disclaimer = __("* Deleting Login Logs",captcha_bank);
		$cpb_block_ip_address_login_log_disclaimer = __("* Blocking IP Addresses from Login Logs",captcha_bank);
		$cpb_delete_visitor_logs_disclaimer = __("* Deleting Visitor Logs",captcha_bank);
		$cpb_block_ip_address_visitor_logs_disclaimer = __("* Blocking IP Addresses from Visitor Logs",captcha_bank);
		$cpb_save_roles_and_capabilities_disclaimer = __("* Saving Roles & Capabilities",captcha_bank);
		$cpb_Captcha_background_disclaimer = __("* Captcha Background Field",captcha_bank);
		$cpb_text_style_fields_disclaimer = __("* Text Style and Text Font Fields",captcha_bank);
		$cpb_Singnature_fields_disclaimer = __("* Signature Text, Style and Font Fields",captcha_bank);
		$cpb_registered_user_captcha_disclaimer = __("* Hide Captcha For Registered user",captcha_bank);
		$cpb_woocommerce_captcha_disclaimer = __("* Captcha For WooCommerce",captcha_bank);
		$cpb_buddypress_captcha_disclaimer = __("* Captcha For BuddyPress Registration Form",captcha_bank);
		$cpb_contactform7_captcha_disclaimer = __("* Captcha For Contact Form 7",captcha_bank);
		$message_premium_edition = __("This feature is available only in Premium Editions! <br> Kindly Purchase to unlock it!", captcha_bank);

		//footer
		$cpb_update_captcha_type = __("Captcha Setup has been updated Successfully",captcha_bank);
		$cpb_success = __("Success!",captcha_bank);
		$cpb_update_error_message = __("Message Settings have been updated Successfully",captcha_bank);
		$cpb_update_display_settings = __("Display Settings have been updated Successfully",captcha_bank);
		$cpb_update_alert_setup = __("Notification Setup has been updated Successfully",captcha_bank);
		$cpb_feature_request = __("Your request email has been sent Successfully",captcha_bank);
		$cpb_update_blocking_options = __("Blockage Settings have been updated Successfully",captcha_bank);
		$cpb_ip_address_block = __("IP Address has been blocked Successfully",captcha_bank);
		$cpb_ip_range_block = __("IP Range has been blocked Successfully",captcha_bank);
		$cpb_delete_login_logs = __("A Login Log has been deleted Successfully",captcha_bank);
		$cpb_bulk_delete_login_logs = __("Selected Login Logs has been deleted Successfully",captcha_bank);
		$cpb_delete_ip_address = __("IP Address has been deleted Successfully",captcha_bank);
		$cpb_bulk_delete_ip_address = __("Selected IP Addresses have been deleted Successfully",captcha_bank);
		$cpb_delete_ip_range = __("IP Range has been deleted Successfully",captcha_bank);
		$cpb_bulk_delete_ip_range = __("Selected IP Ranges have been deleted Successfully",captcha_bank);
		$cpb_update_email_templates = __("Email Templates have been updated Successfully",captcha_bank);
		$cpb_delete_live_traffic = __("A Traffic Log has been deleted Successfully",captcha_bank);
		$cpb_bulk_delete_live_traffic = __("Selected Traffic Logs have been deleted Successfully",captcha_bank);
		$cpb_delete_visitor_logs = __("A Visitor Log has been deleted Successfully",captcha_bank);
		$cpb_bulk_delete_visitor_logs = __("Selected Visitor Logs have been deleted Successfully",captcha_bank);
		$cpb_update_other_settings = __("Other Settings have been updated Successfully",captcha_bank);
		$cpb_update_roles_and_capabilities = __("Roles and Capabilities have been updated Successfully",captcha_bank);
		$cpb_number_of_digits = __("Please provide Number between 1 to 100",captcha_bank);
		$cpb_number_of_captcha_character = __("Please provide Number between 1 to 10",captcha_bank);
		$cpb_country_block_message = __("Selected Countries have been blocked Successfully",captcha_bank);
		$cpb_country_unblock_message = __("Selected Countries have been unblocked Successfully",captcha_bank);
		$cpb_error_message = __("Error Message",captcha_bank);
		$cpb_arithmetic_action = __("Please choose at least one Arithmetic action!",captcha_bank);
		$cpb_relational_action = __("Please choose at least one Relational action!",captcha_bank);
		$cpb_arranged_action = __("Please choose at least one Arrange order action!",captcha_bank);
		$cpb_ip_address = __("IP Address",captcha_bank);
		$cpb_location = __("Location",captcha_bank);
		$cpb_latitude = __("Latitude",captcha_bank);
		$cpb_longitude = __("Longitude",captcha_bank);
		$cpb_na = __("N/A",captcha_bank);
		$cpb_choose_action = __("Please choose an Action from Dropdown!",captcha_bank);
		$cpb_delete_action = __("Please choose at least one record to delete!",captcha_bank);
		$cpb_confirm_delete = __("Are you sure you want to delete ?",captcha_bank);
		$cpb_valid_ip_range = __("Please provide valid IP Range",captcha_bank);
		$cpb_valid_ip_address = __("Please provide valid IP Address",captcha_bank);
		$cpb_ip_address_already_blocked = __("This IP Address has been already blocked!",captcha_bank);
		$cpb_notification = __("Notification!",captcha_bank);
		$cpb_ip_range_already_blocked = __("This IP Range has been already blocked!",captcha_bank);

		//captcha setup
		$cpb_captcha_bank_type_tooltip = __("In this field, you would need to choose between different types of captcha. You could choose between Text Captcha and Logical Captcha", captcha_bank);
		$cpb_captcha_bank_text_captcha = __("Text Captcha",captcha_bank);
		$cpb_captcha_bank_logical_captcha = __("Logical Captcha",captcha_bank);
		$cpb_captcha_bank_character_title = __("Captcha Characters",captcha_bank);
		$cpb_captcha_bank_character_tooltip = __("In this field, you would need to provide number of characters to be used for creating a captcha control", captcha_bank);
		$cpb_captcha_bank_character_placeholder = __("Please provide Captcha Characters", captcha_bank);
		$cpb_captcha_bank_string_type_title = __("Captcha String Type",captcha_bank);
		$cpb_captcha_bank_string_type_tooltip = __("In this field, you would need to choose whether to create captcha control with Alphabets and Digits, Only Alphabets, Only Digits", captcha_bank);
		$cpb_captcha_bank_alphabets_digits = __("Alphabets And Digits",captcha_bank);
		$cpb_captcha_bank_only_alphabets = __("Only Alphabets",captcha_bank);
		$cpb_captcha_bank_only_digits = __("Only Digits",captcha_bank);
		$cpb_captcha_bank_text_case_title = __("Text Case",captcha_bank);
		$cpb_captcha_bank_text_case_tooltip = __("In this field, you would need to choose whether to create captcha control with Upper Case, Lower Case, Random", captcha_bank);
		$cpb_captcha_bank_upper_case = __("Upper Case",captcha_bank);
		$cpb_captcha_bank_lower_case = __("Lower Case",captcha_bank);
		$cpb_captcha_bank_random_case = __("Random",captcha_bank);
		$cpb_captcha_bank_case_sensitive_title = __("Case Sensitive",captcha_bank);
		$cpb_captcha_bank_case_sensitive_tooltip = __("In this field, you would need to choose whether to create captcha control with Case Sensitive or vice versa", captcha_bank);
		$cpb_captcha_bank_width_title = __("Captcha Width",captcha_bank);
		$cpb_captcha_bank_width_tooltip = __("In this field, you would need to provide a width of captcha control in pixels", captcha_bank);
		$cpb_captcha_bank_width_placeholder = __("Please provide Captcha Width", captcha_bank);
		$cpb_captcha_bank_height_title = __("Captcha Height",captcha_bank);
		$cpb_captcha_bank_height_tooltip = __("In this field, you would need to provide a height of captcha control in pixels", captcha_bank);
		$cpb_captcha_bank_height_placeholder = __("Please provide Captcha Height", captcha_bank);
		$cpb_captcha_bank_background_title = __("Captcha Background",captcha_bank);
		$cpb_captcha_bank_background_tooltip = __("In this field, you would need to choose different backgrounds for captcha control", captcha_bank);
		$cpb_captcha_bank_background_pattern1 = __("Pattern 1",captcha_bank);
		$cpb_captcha_bank_background_pattern2 = __("Pattern 2",captcha_bank);
		$cpb_captcha_bank_background_pattern3 = __("Pattern 3",captcha_bank);
		$cpb_captcha_bank_background_pattern4 = __("Pattern 4",captcha_bank);
		$cpb_captcha_bank_background_pattern5 = __("Pattern 5",captcha_bank);
		$cpb_captcha_bank_background_pattern6 = __("Pattern 6",captcha_bank);
		$cpb_captcha_bank_background_pattern7 = __("Pattern 7",captcha_bank);
		$cpb_captcha_bank_background_pattern8 = __("Pattern 8",captcha_bank);
		$cpb_captcha_bank_background_pattern9 = __("Pattern 9",captcha_bank);
		$cpb_captcha_bank_background_pattern10 = __("Pattern 10",captcha_bank);
		$cpb_captcha_bank_background_pattern11 = __("Pattern 11",captcha_bank);
		$cpb_captcha_bank_background_pattern12 = __("Pattern 12",captcha_bank);
		$cpb_captcha_bank_background_pattern13 = __("Pattern 13",captcha_bank);
		$cpb_captcha_bank_background_pattern14 = __("Pattern 14",captcha_bank);
		$cpb_captcha_bank_background_pattern15 = __("Pattern 15",captcha_bank);
		$cpb_captcha_bank_background_pattern16 = __("Pattern 16",captcha_bank);
		$cpb_captcha_bank_background_pattern17 = __("Pattern 17",captcha_bank);
		$cpb_captcha_bank_background_pattern18 = __("Pattern 18",captcha_bank);
		$cpb_captcha_bank_text_style_title = __("Text Style",captcha_bank);
		$cpb_captcha_bank_text_style_tooltip = __("In this field, you would need to choose Font Size and Font Color for captcha control", captcha_bank);
		$cpb_captcha_bank_text_font_title = __("Text Font",captcha_bank);
		$cpb_captcha_bank_text_font_tooltip = __("In this field, you would need to choose Font Type for captcha control", captcha_bank);
		$cpb_captcha_bank_border_style_title = __("Border Style",captcha_bank);
		$cpb_captcha_bank_border_style_tooltip = __("In this field, you would need to choose Border Color, Size and Type for captcha control", captcha_bank);
		$cpb_captcha_bank_border_solid = __("Solid",captcha_bank);
		$cpb_captcha_bank_border_dotted = __("Dotted",captcha_bank);
		$cpb_captcha_bank_border_dashed = __("Dashed",captcha_bank);
		$cpb_captcha_bank_lines_title = __("Lines",captcha_bank);
		$cpb_captcha_bank_lines_tooltip = __("In this field, you would need to provide number of lines for captcha control", captcha_bank);
		$cpb_captcha_bank_lines_placeholder = __("Please provide number of Lines", captcha_bank);
		$cpb_captcha_bank_lines_color_title = __("Lines Color",captcha_bank);
		$cpb_captcha_bank_lines_color_tooltip = __("In this field, you would need to choose Line Color for captcha control", captcha_bank);
		$cpb_captcha_bank_noise_level_title = __("Noise level",captcha_bank);
		$cpb_captcha_bank_noise_level_tooltip = __("In this field, you would need to provide Noise Level for captcha control", captcha_bank);
		$cpb_captcha_bank_noise_level_placeholder = __("Please provide Noise Level", captcha_bank);
		$cpb_captcha_bank_noise_color_title = __("Noise Color",captcha_bank);
		$cpb_captcha_bank_noise_color_tooltip = __("In this field, you would need to choose Noise Color for captcha control", captcha_bank);
		$cpb_captcha_bank_text_transparency_title = __("Text Transparency %",captcha_bank);
		$cpb_captcha_bank_text_transparency_tooltip = __("In this field, you would need to provide Text Transparency for captcha control", captcha_bank);
		$cpb_captcha_bank_text_transparency_placeholder = __("Please provide Text Transparency", captcha_bank);
		$cpb_captcha_bank_signature_text_title = __("Signature Text",captcha_bank);
		$cpb_captcha_bank_signature_text_tooltip = __("In this field, you would need to provide Signature Text for captcha control", captcha_bank);
		$cpb_captcha_bank_signature_text_palceholder = __("Please provide Signature Text", captcha_bank);
		$cpb_captcha_bank_signature_style_title = __("Signature Style",captcha_bank);
		$cpb_captcha_bank_signature_style_tooltip = __("In this field, you would need to choose Signature Style and Color for captcha control", captcha_bank);
		$cpb_captcha_bank_signature_font_title = __("Signature Font",captcha_bank);
		$cpb_captcha_bank_signature_font_tooltip = __("In this field, you would need to choose Font Family for captcha control", captcha_bank);
		$cpb_captcha_bank_shadow_color_title = __("Text Shadow Color",captcha_bank);
		$cpb_captcha_bank_shadow_color_tooltip = __("In this field, you would need to choose Text Shadow Color for captcha control", captcha_bank);
		$cpb_captcha_bank_mathematical_title = __("Mathematical Operations",captcha_bank);
		$cpb_captcha_bank_mathematical_tooltip = __("In this field, you would need to choose whether to create a Captcha control with Arithmetic Relational Arrange Order", captcha_bank);
		$cpb_captcha_bank_arithmetic = __("Arithmetic",captcha_bank);
		$cpb_captcha_bank_relational = __("Relational",captcha_bank);
		$cpb_captcha_bank_arithmetic_title = __("Arithmetic Actions",captcha_bank);
		$cpb_captcha_bank_addition = __("Addition(+)", captcha_bank);
		$cpb_captcha_bank_subtraction = __("Subtraction(-)", captcha_bank);
		$cpb_captcha_bank_multiplication = __("Multiplication(*)", captcha_bank);
		$cpb_captcha_bank_division = __("Division(/)", captcha_bank);
		$cpb_captcha_bank_arithmetic_tooltip = __("In this field, you would need to choose specific arithmetic actions to create a captcha control", captcha_bank);
		$cpb_captcha_bank_relational_title = __("Relational Actions",captcha_bank);
		$cpb_captcha_bank_relational_tooltip = __("In this field, you would need to choose specific relational actions to create a captcha control", captcha_bank);
		$cpb_captcha_bank_largest_number = __("Largest Number", captcha_bank);
		$cpb_captcha_bank_smallest_number = __("Smallest Number", captcha_bank);
		$cpb_captcha_bank_arrange_title = __("Arrange Order",captcha_bank);
		$cpb_captcha_bank_arrange_tooltip = __("In this field, you would need to choose the specific arranging order for captcha", captcha_bank);
		$cpb_captcha_bank_ascending_order = __("Ascending Order", captcha_bank);
		$cpb_captcha_bank_descending_order = __("Descending Order", captcha_bank);

		//other settings
		$cpb_other_settings_automatic_plugin_updates_tooltip = __("If you would like that plugin would be automatically updated whenever there is a new version available then choose enable or vice-versa from dropdown",captcha_bank);
		$cpb_other_settings_automatic_plugin_updates = __("Automatic Plugin Updates",captcha_bank);
		$cpb_other_settings_live_traffic_monitoring_label = __("Live Traffic Monitoring",captcha_bank);
		$cpb_other_settings_live_traffic_monitoring_tooltip = __("If you would like to monitor details of user who are currently visiting the website and pages visited by them then choose enable or vice-versa from dropdown", captcha_bank);
		$cpb_other_settings_visitor_logs_monitoring_label = __("Visitor Logs Monitoring",captcha_bank);
		$cpb_other_settings_visitor_logs_monitoring_tooltip = __("If you would like to monitor details of user who are visiting the website and pages visited by them then choose enable or vice-versa from dropdown", captcha_bank);
		$cpb_other_settings_remove_tables =  __("Remove Tables At Uninstall", captcha_bank);
		$cpb_other_setting_remove_tables_tootltip = __("If you would like to remove tables at uninstall then you would need to choose enable or vice-versa from dropdown", captcha_bank);

		//alert setup
		$cpb_alert_setup_email_fails_login_tooltip = __("In this field, you would need to choose Enable to automatically send an email to the Administrator when a user fails to login",captcha_bank);
		$cpb_alert_setup_email_success_login_tooltip = __("In this field, you would need to choose Enable to automatically send an email to the Administrator when a user succeeds in login",captcha_bank);
		$cpb_alert_setup_email_ip_address_blocked_tooltip = __("In this field, you would need to choose Enable to automatically send an email to the Administrator when an IP Address is being blocked",captcha_bank);
		$cpb_alert_setup_email_ip_address_unblocked_tooltip = __("In this field, you would need to choose Enable to automatically send an email to the Administrator when an IP Address is being unblocked",captcha_bank);
		$cpb_alert_setup_email_ip_range_blocked_tooltip = __("In this field, you would need to choose Enable to automatically send an email to the Administrator when an IP Range is being blocked",captcha_bank);
		$cpb_alert_setup_email_ip_range_unblocked_tooltip = __("In this field, you would need to choose Enable to automatically send an email to the Administrator when an IP Range is being unblocked",captcha_bank);
		$cpb_alert_setup_email_fails_login_title = __("Email when a User Fails Login",captcha_bank);
		$cpb_alert_setup_email_success_login_title = __("Email when a User Success Login",captcha_bank);
		$cpb_alert_setup_email_ip_address_blocked_title = __("Email when an IP Address is Blocked",captcha_bank);
		$cpb_alert_setup_email_ip_address_unblocked_title = __("Email when an IP Address is Unblocked",captcha_bank);
		$cpb_alert_setup_email_ip_range_blocked_title = __("Email when an IP Range is Blocked",captcha_bank);
		$cpb_alert_setup_email_ip_range_unblocked_title = __("Email when an IP Range is Unblocked",captcha_bank);

		//email template
		$cpb_email_templates_tooltip = __("In this field, you would need to choose Email Template from dropdown",captcha_bank);
		$cpb_email_templates_choose_title = __("Choose Email Template",captcha_bank);
		$cpb_email_templates_send_to_title = __("Send To",captcha_bank);
		$cpb_email_templates_send_to_email_tooltip = __("In this field, you would need to provide a valid email address where you would like to send an email notification",captcha_bank);
		$cpb_email_templates_send_email_address_placeholder = __("Please provide valid Email Address",captcha_bank);
		$cpb_email_templates_cc_title = __("Cc",captcha_bank);
		$cpb_email_templates_cc_email_tooltip = __("In this field, you would need to provide valid Cc Email Address",captcha_bank);
		$cpb_email_templates_cc_email_address_placeholder = __("Please provide Cc Email",captcha_bank);
		$cpb_email_templates_bcc_title = __("Bcc",captcha_bank);
		$cpb_email_templates_bcc_email_tooltip = __("In this field, you would need to provide valid Bcc Email Address",captcha_bank);
		$cpb_email_templates_bcc_email_address_placeholder = __("Please provide Bcc Email",captcha_bank);
		$cpb_email_templates_subject_tooltip = __("In this field, you would need to provide subject for email notification",captcha_bank);
		$cpb_email_templates_cpb_message_title = __("Message",captcha_bank);
		$cpb_email_templates_message_content_tooptip= __("In this field, you would need to provide content which has to be sent to the Administrator",captcha_bank);
		$cpb_email_templates_successful_login = __("Template For User Successful Login",captcha_bank);
		$cpb_email_templates_failure_login = __("Template For User Failure Login",captcha_bank);
		$cpb_email_templates_ip_address_blocked = __("Template For IP Address Blocked",captcha_bank);
		$cpb_email_templates_ip_address_unblocked= __("Template For IP Address Unblocked",captcha_bank);
		$cpb_email_templates_ip_range_blocked = __("Template For IP Range Blocked",captcha_bank);
		$cpb_email_templates_ip_range_unblocked = __("Template For IP Range Unblocked",captcha_bank);

		//roles and capabilities
		$cpb_show_roles_and_capabilities_menu = __("Show Captcha Bank Menu",captcha_bank);
		$cpb_roles_and_capabilities_menu_tooltip =  __("In this field, you would need to choose a specific role who can see Sidebar Menu", captcha_bank);
		$cpb_roles_and_capabilities_administrator = __("Administrator", captcha_bank);
		$cpb_roles_and_capabilities_author = __("Author", captcha_bank);
		$cpb_roles_and_capabilities_editor = __("Editor", captcha_bank);
		$cpb_roles_and_capabilities_contributor = __("Contributor", captcha_bank);
		$cpb_roles_and_capabilities_subscriber = __("Subscriber", captcha_bank);
		$cpb_roles_and_capabilities_others = __("Others", captcha_bank);
		$cpb_roles_and_capabilities_topbar_menu = __("Show Captcha Bank Top Bar Menu",captcha_bank);
		$cpb_roles_and_capabilities_topbar_menu_tooltip = __("If you would like to show Captcha Bank Top Bar Menu then you would need to choose enable or vice-versa from dropdown", captcha_bank);
		$cpb_roles_and_capabilities_administrator_role = __("An Administrator Role can do the following ",captcha_bank);
		$cpb_roles_and_capabilities_administrator_role_tooltip = __("Administrators will have by default full control to manage different options in Captcha Bank, so all checkboxes will already be selected for the Administrator Role as mentioned below", captcha_bank);
		$cpb_roles_and_capabilities_author_role = __("An Author Role can do the following ",captcha_bank);
		$cpb_roles_and_capabilities_author_role_tooltip = __("You can choose what pages could be accessed by users having an Author Role and you can also choose additional capabilities that could be accessed by users on your Captcha Bank for security purpose which is mentioned below in Author Role checkboxes", captcha_bank);
		$cpb_roles_and_capabilities_editor_role = __("An Editor Role can do the following ",captcha_bank);
		$cpb_roles_and_capabilities_editor_role_tooltip = __("You can choose what pages could be accessed by the users having an Editor Role and you can also choose additional capabilities that could be accessed by users on your Captcha Bank for security purpose which is mentioned below in Editor Role checkboxes", captcha_bank);
		$cpb_roles_and_capabilities_contributor_role = __("A Contributor Role can do the following ",captcha_bank);
		$cpb_roles_and_capabilities_contributor_role_tooltip = __("You can choose what pages could be accessed by the users having a Contributor Role and you can also choose additional capabilities that could be accessed by users on your Captcha Bank for security purpose which is mentioned below in Contributor Role checkboxes", captcha_bank);
		$cpb_roles_and_capabilities_subscriber_role = __("A Subscriber Role can do the following ",captcha_bank);
		$cpb_roles_and_capabilities_subscriber_role_tooltip = __("You can choose what pages could be accessed by the users having a Subscriber Role and you can also choose additional capabilities that could be accessed by users on your Captcha Bank for security purpose which is mentioned below in Subscriber Role checkboxes", captcha_bank);
		$cpb_roles_and_capabilities_other_role = __("Other Roles can do the following ",captcha_bank);
		$cpb_roles_and_capabilities_other_role_tooltip = __("You can choose what pages could be accessed by the users having an Others Role and you can also choose additional capabilities that could be accessed by users on your Captcha Bank for security purpose which is mentioned below in Others Role checkboxes", captcha_bank);
		$cpb_roles_and_capabilities_other_roles_capabilities = __("In this field, you would need to choose appropriate capabilities for security purposes",captcha_bank);
		$cpb_roles_and_capabilities_other_roles_capabilities_tooltip = __("In this field, only users can access to these capabilities of Captcha Bank", captcha_bank);

		//live traffic and login logs
		$cpb_recent_login_logs_start_date_tooltip = __("In this field, you would need to specify start date to view information about users who logged within a specified period",captcha_bank);
		$cpb_recent_login_logs_end_date_tooltip = __("In this field, you would need to specify end date to view information about users who logged within a specified period",captcha_bank);
		$cpb_live_traffic_start_date_tooltip = __("In this field, you would need to specify start date to view information about users who visit to your website within a specified period",captcha_bank);
		$cpb_live_traffic_end_date_tooltip = __("In this field, you would need to specify end date to view information about users who visit to your website within a specified period",captcha_bank);
		$cpb_live_traffic_monitoring_message = __("Live Traffic Monitoring is Turned Off. Please go to Other Settings Menu to enable it",captcha_bank);
		$cpb_recent_login_on_world_map = __("Login Logs On World Map",captcha_bank);
		$cpb_live_traffic_on_world_map = __("Live Traffic On World Map",captcha_bank);
		$cpb_visitor_logs_on_world_map = __("Visitor Logs On World Map",captcha_bank);
		$cpb_visitor_logs_monitoring_message = __("Visitor Logs Monitoring is Turned Off. Please go to Other Settings Menu to enable it",captcha_bank);
		$cpb_details = __("Details",captcha_bank);
		$cpb_status = __("Status",captcha_bank);

		//error messages
		$cpb_error_message_login_failure_title = __("For Maximum Login Attempts Error Message",captcha_bank);
		$cpb_error_message_login_failure_tooltip = __("In this field, you would need to provide an error message that you would like to display whenever a user exceeds maximum number of login attempts",captcha_bank);
		$cpb_error_message_login_failure_placeholder = __("Please provide Login Attempts Error Message",captcha_bank);
		$cpb_error_message_invalid_captcha_title = __("For Invalid Captcha Error Message",captcha_bank);
		$cpb_error_message_invalid_captcha_tooltip = __("In this field, you would need to provide an error message that you would like to display whenever an Invalid captcha is being provided by a user",captcha_bank);
		$cpb_error_message_invalid_captcha_placeholder = __("Please provide Invalid Captcha Error Message",captcha_bank);
		$cpb_error_message_blocked_ip_address_title = __("For Blocked IP Address Error Message",captcha_bank);
		$cpb_error_message_blocked_ip_address_tooltip = __("In this field, you would need to provide an error message that you would like to display whenever a user IP Address is being blocked by the Administrator",captcha_bank);
		$cpb_error_message_blocked_ip_address_placeholder = __("Please provide Blocked IP Address Error Message",captcha_bank);
		$cpb_error_message_empty_captcha_title = __("For Captcha Empty Error Message",captcha_bank);
		$cpb_error_message_empty_captcha_tooltip = __("In this field, you would need to provide an error message that you would like to display whenever Captcha is empty",captcha_bank);
		$cpb_error_message_empty_captcha_placeholder = __("Please provide Empty Captcha Error Message",captcha_bank);
		$cpb_error_message_blocked_ip_range_title = __("For Blocked IP Range Error Message",captcha_bank);
		$cpb_error_message_blocked_ip_range_tooltip = __("In this field, you would need to provide an error message that you would like to display whenever a user IP Range is being blocked by the Administrator",captcha_bank);
		$cpb_error_message_blocked_ip_range_placeholder = __("Please provide Blocked IP Range Error Message",captcha_bank);
		$cpb_error_messages_blocked_country_label = __("For Blocked Country Error Message",captcha_bank);
		$cpb_error_messages_blocked_country_tooltip = __("In this field, you would need to provide an error message that you would like to display whenever a user country is being blocked by the Administrator", captcha_bank);
		$cpb_error_messages_blocked_country_placeholder = __("Please provide your Blocked Country Error Message", captcha_bank);

		// Display settings
		$cpb_display_settings_enable_captcha_for = __("Enable Captcha For",captcha_bank);
		$cpb_display_settings_enable_captcha_tooltip = __("If you would like to use Captcha on your form then you would need to choose at particular Check Box to display a captcha on required forms",captcha_bank);
		$cpb_display_settings_login_form = __("Login Form",captcha_bank);
		$cpb_display_settings_registration_form = __("Registration Form",captcha_bank);
		$cpb_display_settings_reset_password_form = __("Reset Password Form",captcha_bank);
		$cpb_display_settings_comment_form = __("Comment Form",captcha_bank);
		$cpb_display_settings_admin_comment_form = __("Admin Comment Form",captcha_bank);
		$cpb_display_settings_hide_captcha_register_user = __("Hide Captcha For Registered user",captcha_bank);
		$cpb_display_settings_captcha_woocommerce = __("Captcha For WooCommerce",captcha_bank);
		$cpb_display_settings_contact_form7 = __("Captcha For Contact Form 7",captcha_bank);
		$cpb_display_settings_buddypress = __("Captcha For BuddyPress Registration Form",captcha_bank);
		$cpb_display_settings_captcha_shortcode = __("Please copy and paste this shortcode in your Contact Form after Saving Changes",captcha_bank);

		//feature Requests
		$cpb_feature_requests_thank_you =  __("Thank You!",captcha_bank);
		$cpb_feature_requests_fill_form = __("Kindly fill in the below form, if you would like to suggest some features which are not in the Plugin",captcha_bank);
		$cpb_feature_requests_any_suggestion = __("If you also have any suggestion/complaint, you can use the same form below",captcha_bank);
		$cpb_feature_requests_write_us_on = __("You can also write us on",captcha_bank);
		$cpb_feature_requests_name_title = __("Your Name",captcha_bank);
		$cpb_feature_requests_name_tooltip = __("In this field, you would need to provide your Name which will be sent along with your Feature Request",captcha_bank);
		$cpb_feature_requests_name_placeholder = __("Please provide your Name",captcha_bank);
		$cpb_feature_requests_email_title = __("Your Email",captcha_bank);
		$cpb_feature_requests_email_tooltip = __("In this field, you would need to provide your Email which will be sent along with your Feature Request",captcha_bank);
		$cpb_feature_requests_email_placeholder = __("Please provide your Email",captcha_bank);
		$cpb_feature_requests_title = __("Feature Request",captcha_bank);
		$cpb_feature_requests_tooltip = __("In this field, you would need to provide a feature which you would like to request to be added to this Plugin",captcha_bank);
		$cpb_feature_requests_placeholder = __("Please provide your Feature Request",captcha_bank);
		$cpb_feature_requests_send_request = __("Send Request",captcha_bank);

		//Blocking Options
		$cpb_blocking_options_title = __("Auto IP Block",captcha_bank);
		$cpb_blocking_options_tooltip = __("In this field, you would need to choose Enable to automatically block IP Addresses of users who exceeds their Maximum number of Login attempts",captcha_bank);
		$cpb_blocking_options_login_attempts_title = __("Maximum Login Attempts in a Day",captcha_bank);
		$cpb_blocking_options_login_attempts_tooltip = __("In this field, you would need to provide maximum number of login attempts in a day to restrict number of login attempts by users",captcha_bank);
		$cpb_blocking_options_login_attempts_placeholder = __("Please provide Maximum Login Attempts",captcha_bank);

		//Manage IP Addresses
		$cpb_manage_ip_addresses_tooltip = __("In this field, you would need to provide a valid IP Address which you would like to block",captcha_bank);
		$cpb_manage_ip_addresses_View_block = __("View Blocked IP Addresses",captcha_bank);
		$cpb_manage_ip_addresses_tooltip_start_date = __("In this field, you would need to choose start date to view information about IP Addresses which were blocked within a specified period", captcha_bank);
		$cpb_manage_ip_addresses_tooltip_end_date = __("In this field, you would need to choose end date to view information about IP Addresses which were blocked within a specified periods", captcha_bank);
		$cpb_tooltip_comment = __("In this field, you would need to provide comments to give an overview about reason for blocking these IP Addresses", captcha_bank);

		//Manage IP Ranges
		$cpb_manage_ip_ranges_start_range_title = __("Start IP Range",captcha_bank);
		$cpb_manage_ip_ranges_start_range_tooltip = __("In this field, you would need to provide a valid Start IP Ranges which you would like to block", captcha_bank);
		$cpb_manage_ip_ranges_start_range_placeholder = __("Please provide Start IP Range", captcha_bank);
		$cpb_manage_ip_ranges_end_range_title = __("End IP Range",captcha_bank);
		$cpb_manage_ip_ranges_end_range_tooltip = __("In this field, you would need to provide a valid End IP Ranges which you would like to block", captcha_bank);
		$cpb_manage_ip_ranges_end_range_placeholder = __("Please provide End IP Range", captcha_bank);
		$cpb_manage_ip_ranges_block_tooltip = __("In this field, you would need to choose time duration to block an IP Range, so that particular IP Range will be blocked for fixed time interval as per your settings",captcha_bank);
		$cpb_manage_ip_ranges_comment = __("In this field, you would need to provide comments to give an overview about reason for blocking these IP Ranges", captcha_bank);
		$cbp_manage_ip_ranges_block = __("Block IP Range",captcha_bank);
		$cpb_manage_ip_ranges_view_block = __("View Blocked IP Ranges",captcha_bank);
		$cpb_manage_ip_ranges_start_date_tooltip = __("In this field, you would need to choose start date to view information about IP Ranges which were blocked within a specified period", captcha_bank);
		$cpb_manage_ip_ranges_end_date_tooltip = __("In this field, you would need to choose end date to view information about IP Ranges which were blocked within a specified period", captcha_bank);

		//Common Variables
		$cpb_captcha_bank_title = __("Captcha Bank",captcha_bank);
		$cpb_color_code = __("Please provide Color Code",captcha_bank);
		$cpb_block_for_title = __("Blocked For",captcha_bank);
		$cpb_block_for_tooltip = __("In this field, you would need to choose time duration to block an IP Address, so that particular IP Address will be blocked for the fixed time interval as per your settings",captcha_bank);
		$cpb_one_hour= __("1 Hour",captcha_bank);
		$cpb_twelve_hours = __("12 Hours",captcha_bank);
		$cpb_twenty_four_hours = __("24 Hours",captcha_bank);
		$cpb_forty_eight_hours = __("48 Hours",captcha_bank);
		$cpb_one_week = __("1 Week",captcha_bank);
		$cpb_one_month = __("1 Month",captcha_bank);
		$cpb_permanently = __("Permanently",captcha_bank);
		$cpb_never = __("Never", captcha_bank);
		$cpb_button_clear = __("Clear", captcha_bank);
		$cpb_comments = __("Comments",captcha_bank);
		$cpb_placeholder_comment = __("Please provide Comments", captcha_bank);
		$cpb_start_date_heading = __("Start Date",captcha_bank);
		$cpb_end_date_heading = __("End Date",captcha_bank);
		$cpb_bulk_action = __("Bulk Action",captcha_bank);
		$cpb_apply = __("Apply",captcha_bank);
		$cpb_feature_requests = __("Feature Requests",captcha_bank);
		$cpb_submit = __("Submit",captcha_bank);
		$cpb_resources = __("Resources",captcha_bank);
		$cpb_http_user_agent = __("HTTP User Agent",captcha_bank);
		$cpb_message_settings_label = __("Message Settings",captcha_bank);
		$cpb_live_traffic_title = __("Live Traffic",captcha_bank);
		$cpb_visitor_logs_title = __("Visitor Logs",captcha_bank);
		$cpb_recent_login_log_title = __("Login Logs",captcha_bank);
		$cpb_delete = __("Delete",captcha_bank);
		$cpb_block_ip_address = __("Block IP Address",captcha_bank);
		$cpb_start_date_placeholder = __("Please choose Start Date",captcha_bank);
		$cpb_end_date_placeholder = __("Please choose End Date",captcha_bank);
		$cpb_premium_editions_menu = __("Premium Editions",captcha_bank);
		$cpb_captcha_settings_label = __("Captcha Settings",captcha_bank);
		$cpb_captcha_setup_menu = __("Captcha Setup", captcha_bank);
		$cpb_notification_setup_label = __("Notifications Setup",captcha_bank);
		$cpb_logs_menu= __("Logs", captcha_bank);
		$cpb_security_settings_label = __("Security Settings",captcha_bank);
		$cpb_blockage_settings_label = __("Blockage Settings",captcha_bank);
		$cpb_block_unblock_ip_address_label = __("Block / Unblock IP Addresses",captcha_bank);
		$cpb_block_unblock_ip_range_label = __("Block / Unblock IP Ranges",captcha_bank);
		$cpb_block_unblock_countries_label = __("Block / Unblock Countries",captcha_bank);
		$cpb_email_templates_menu = __("Email Templates", captcha_bank);
		$cpb_other_settings_menu = __("Other Settings", captcha_bank);
		$cpb_roles_and_capabilities_menu = __("Roles & Capabilities", captcha_bank);
		$cpb_system_information_menu = __("System Information", captcha_bank);
		$cpb_roles_and_capabilities_full_control = __("Full Control",captcha_bank);
		$cpb_captcha_bank_type_breadcrumb = __("Captcha Type",captcha_bank);
		$cpb_display_settings_title = __("Display Settings",captcha_bank);
		$cpb_ip_ranges = __("IP Ranges",captcha_bank);
		$cpb_enable = __("Enable",captcha_bank);
		$cpb_disable = __("Disable",captcha_bank);
		$cpb_save_changes = __("Save Changes",captcha_bank);
		$cpb_email_subject_title = __("Subject",captcha_bank);
		$cpb_placeholder_subject = __("Please provide Subject",captcha_bank);
		$cpb_block_time = __("Blocked Date & Time",captcha_bank);
		$cpb_release_time=__("Release Date & Time",captcha_bank);
		$cpb_user_name = __("User Name",captcha_bank);
		$cpb_date_time = __("Date & Time",captcha_bank);
		$cpb_action = __("Action",captcha_bank);
		$cpb_user_access_message = __("You don't have Sufficient Access to this Page. Kindly contact the Administrator for more Privileges.",captcha_bank);
		$cpb_general_settings_menu = __("General Settings", captcha_bank);

		//country Blocks
		$cpb_country_blocks_available_countries_label = __("Available Countries",captcha_bank);
		$cpb_country_blocks_available_countries_tooltip = __("List of all Countries",captcha_bank);
		$cpb_country_blocks_add_button_label = __("Add >>",captcha_bank);
		$cpb_country_blocks_remove_button_label = __("<< Remove",captcha_bank);
		$cpb_country_blocks_blocked_countries_label = __("Blocked Countries",captcha_bank);
		$cpb_country_blocks_blocked_countries_tooltip = __("List of all Countries being Blocked",captcha_bank);
	}
}
?>
