<?php
/**
* This Template is used for managing live traffic.
*
* @author  Tech Banker
* @package captcha-bank/views/logs
* @version 3.0.0
*/
if(!defined("ABSPATH")) exit; //exit if accessed directly
if(!is_user_logged_in())
{
	return;
}
else
{
	$access_granted = false;
	foreach($user_role_permission as $permission)
	{
		if(current_user_can($permission))
		{
			$access_granted = true;
			break;
		}
	}
	if(!$access_granted)
	{
		return;
	}
	elseif(logs_captcha_bank == "1")
	{
		?>
		<div class="page-content-wrapper">
			<div class="page-content">
				<div class="page-bar">
					<ul class="page-breadcrumb">
						<li>
							<i class="icon-custom-home"></i>
							<a href="admin.php?page=captcha_bank">
								<?php echo $cpb_captcha_bank_title; ?>
							</a>
							<span>></span>
						</li>
						<li>
							<a href="admin.php?page=captcha_bank_login_logs">
								<?php echo $cpb_logs_menu; ?>
							</a>
							<span>></span>
						</li>
						<li>
							<span>
								<?php echo $cpb_live_traffic_title; ?>
							</span>
						</li>
					</ul>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="portlet box vivid-green">
							<div class="portlet-title">
								<div class="caption">
									<i class="icon-custom-directions"></i>
									<?php echo $cpb_live_traffic_on_world_map; ?>
								</div>
								<div class="caption pull-right" style="font-size:12px">
									<strong>Next Refresh in
										<span class="timer"></span> Seconds
									</strong>
								</div>
							</div>
							<div class="portlet-body form">
								<form id="ux_frm_live_traffic">
									<div class="form-body">
										<div class="note note-danger">
												<h4 class="block">
													<?php echo $cpb_premium_features_disclaimer; ?>
												</h4>
												<ul>
													<div class="row">
														<div class="col-md-4">
															<li><?php echo $cpb_delete_live_traffic_logs_disclaimer; ?></li>
														</div>
														<div class="col-md-4">
															<li><?php echo $cpb_block_ip_address_live_traffic_disclaimer; ?></li>
														</div>
													</div>
												</ul>
												<ul>
													<li><?php echo $cpb_demos_disclaimer ?><a href="http://beta.tech-banker.com/products/captcha-bank/demos/" target="_blank" class="custom_links"><?php echo $cpb_here_disclaimer ?></a>.</li>
													<li><?php echo $cpb_manual_disclaimer ?><a href="http://beta.tech-banker.com/products/captcha-bank/user-guide/logs/live-traffic/" target="_blank" class="custom_links"><?php echo $cpb_here_disclaimer ?></a>.</li>
													<li><?php echo $cpb_click_disclaimer ?><a href="http://beta.tech-banker.com/products/captcha-bank/" target="_blank" class="custom_links"><?php echo $cpb_here_disclaimer ?></a><?php echo $cpb_unblock_premium_disclaimer ?></li>
												</ul>
												<?php
													if($cpb_message_translate_help != "")
													{
														?>
														<h4 class="block">
															<?php echo $cpb_important_disclaimer; ?>
														</h4>
														<strong><?php echo $cpb_message_translate_help;?><a href="javascript:void(0);" data-popup-open="ux_open_popup" class="custom_links" onclick="show_pop_up_captcha_bank();"><?php echo $cpb_message_translate_here; ?></a></strong>
														<?php
													}
												?>
											</div>
										<div id="map_canvas" class="custom-map"></div>
									</div>
								</form>
							</div>
						</div>
						<div class="portlet box vivid-green">
							<div class="portlet-title">
								<div class="caption">
									<i class="icon-custom-directions"></i>
									<?php echo $cpb_live_traffic_title; ?>
								</div>
								<div class="caption pull-right" style="font-size:12px">
									<strong>Next Refresh in
										<span class="timer"></span> Seconds
									</strong>
								</div>
							</div>
							<div class="portlet-body form">
								<form id="ux_frm_live_traffic_logs">
									<div class="form-body">
										<?php
										if($live_traffic_data_unserialize["live_traffic_monitoring"] == "enable")
										{
											?>
											<div class="table-top-margin">
												<select name="ux_ddl_live_traffic" id="ux_ddl_live_traffic" class="custom-bulk-width">
													<option value=""><?php echo $cpb_bulk_action; ?></option>
													<option value="delete"><?php echo $cpb_delete; ?></option>
												</select>
												<input type="button" class="btn vivid-green" name="ux_btn_apply" id="ux_btn_apply" onclick='premium_edition_notification_captcha_bank();' value="<?php echo $cpb_apply;?>">
											</div>
											<table class="table table-striped table-bordered table-hover table-margin-top" id="ux_tbl_live_traffic">
												<thead>
													<tr>
														<th style="text-align:center;width: 5% !important;" class="chk-action">
															<input type="checkbox" name="ux_chk_live_traffic" id="ux_chk_live_traffic">
														</th>
														<th style="width:15%;">
															<label class="control-label">
																<?php echo $cpb_user_name;?>
															</label>
														</th>
														<th style="width:15%;">
															<label class="control-label">
																<?php echo $cpb_ip_address;?>
															</label>
														</th>
														<th style="width:15%;">
															<label class="control-label">
																<?php echo $cpb_location;?>
															</label>
														</th>
														<th style="width:25%;">
															<label class="control-label">
																<?php echo $cpb_details;?>
															</label>
														</th>
														<th style="width:15%;">
															<label class="control-label">
																<?php echo $cpb_date_time;?>
															</label>
														</th>
														<th style="text-align:center;width: 10%;" class="chk-action">
															<label class="control-label">
																<?php echo $cpb_action;?>
															</label>
														</th>
													</tr>
												</thead>
												<tbody id="dynamic_table_filter">
												<?php
												foreach($cpb_data_logs as $row)
												{
													?>
													<tr>
														<td style="text-align: center;width: 5% !important;">
															<input type="checkbox" onclick="check_all_captcha_bank('#ux_chk_live_traffic');" name="ux_chk_details_<?php echo $row["meta_id"]?>" id="ux_chk_details_<?php echo $row["meta_id"]?>" value="<?php echo $row["meta_id"]?>">
														</td>
														<td style="width: 15%;">
															<label>
																<?php echo $row["username"] != "" ? $row["username"]:$cpb_na?>
															</label>
														</td>
														<td style="width: 15%;">
															<label>
																<?php echo long2ip($row["user_ip_address"])?>
															</label>
														</td>
														<td style="width: 15%;">
															<label>
																<?php echo $row["location"] != "" ? $row["location"]:$cpb_na;?>
															</label>
														</td>
														<td style="width: 25%;">
															<label>
																<?php echo $cpb_resources;?>: <?php echo $row["resources"];?><br/>
																<?php echo $cpb_http_user_agent;?>: <?php echo $row["http_user_agent"];?>
															</label>
														</td>
														<td style="width: 15%;">
															<label>
																<?php echo date('d M Y H:i A',  $row["date_time"]);?>
															</label>
														</td>
														<td class="custom-alternative" style="width: 10%;">
															<a href="javascript:void(0);" class="icon-custom-trash tooltips" data-original-title="<?php echo $cpb_delete; ?>" onclick='premium_edition_notification_captcha_bank();' data-placement="top"></a>
															<a href="javascript:void(0);" onclick='premium_edition_notification_captcha_bank();' class="icon-custom-ban tooltips" data-original-title="<?php echo $cpb_block_ip_address; ?>" data-placement="right"></a>
														</td>
													</tr>
													<?php
													}
												?>
												</tbody>
											</table>
											<?php
										}
										else
										{
											?>
											<strong>
												<?php echo $cpb_live_traffic_monitoring_message; ?>
											</strong>
											<?php
										}
										?>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php
	}
	else
	{
		?>
		<div class="page-content-wrapper">
			<div class="page-content">
				<div class="page-bar">
					<ul class="page-breadcrumb">
						<li>
							<i class="icon-custom-home"></i>
							<a href="admin.php?page=captcha_bank">
								<?php echo $cpb_captcha_bank_title; ?>
							</a>
							<span>></span>
						</li>
						<li>
							<a href="admin.php?page=captcha_bank_login_logs">
								<?php echo $cpb_logs_menu; ?>
							</a>
							<span>></span>
						</li>
						<li>
							<span>
								<?php echo $cpb_live_traffic_title; ?>
							</span>
						</li>
					</ul>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="portlet box vivid-green">
							<div class="portlet-title">
								<div class="caption">
									<i class="icon-custom-directions"></i>
									<?php echo $cpb_live_traffic_title; ?>
								</div>
							</div>
							<div class="portlet-body form">
								<form id="ux_frm_live_traffic">
									<div class="form-body">
										<strong><?php echo $cpb_user_access_message;?></strong>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	<?php
	}
}
?>
